Search documentation of ash

# View Source Ash.Resource.Actions.Update (ash v3.4.30)

Represents a update action on a resource.

# Summary

## Types

t()

## Functions

transform(action)

# Types

Link to this type

# t()

View Source

    @type t() :: %Ash.Resource.Actions.Update{
      accept: nil | [atom()],
      action_select: [atom()] | nil,
      allow_nil_input: [atom()],
      arguments: [Ash.Resource.Actions.Argument.t()],
      atomic_upgrade?: boolean(),
      atomic_upgrade_with: atom() | nil,
      atomics: term(),
      changes: term(),
      delay_global_validations?: boolean(),
      description: String.t() | nil,
      error_handler: term(),
      manual: module() | nil,
      manual?: term(),
      metadata: term(),
      name: atom(),
      notifiers: [module()],
      primary?: boolean(),
      reject: term(),
      require_atomic?: boolean(),
      require_attributes: [atom()],
      skip_global_validations?: boolean(),
      skip_unknown_inputs: [atom() | String.t()],
      touches_resources: [atom()],
      transaction?: term(),
      type: :update
    }

# Functions

Link to this function

# transform(action)

View Source